Bug 154853 - "Confirm Replace File" dialog appears when file didn't exist
"Confirm Replace File" dialog appears when file didn't exist
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P2 (vote)
: TBD
Assigned To: John Baker
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-07 01:20 UTC by Roman Mostyka
Modified: 2009-02-19 20:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-12-07 01:20:44 UTC
1. Connect to "travel" Java DB.
2. Rightclick "person" table and choose "View Data".
3. Click "File > Save As" in main menu and save content as SQL file.

Result: "Confirm Replace File" dialog appears with message that file already exists, but it didn't exist before. So
probably it was created right after name for it was typed and this fact wasn't treated correctly.
Comment 1 John Baker 2008-12-08 08:05:00 UTC
I used FileUtil.create(...)  but this will create not only a FileObject but also a file on disk 

I have a fix
Comment 2 John Baker 2008-12-08 08:25:05 UTC
59806067f9e4
Comment 3 Roman Mostyka 2008-12-09 14:37:15 UTC
Verified with build 081209.
Comment 4 Quality Engineering 2008-12-09 18:34:13 UTC
Integrated into 'main-golden', will be available in build *200812091520* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/59806067f9e4
User: John Baker <jbaker@netbeans.org>
Log: #154853 fix


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo